// pages/contest/ranking/ranking.js
import {
  answer
} from '../../../api/api.js'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page: 1,
    first: '',
    second: '',
    third: '',
    dataList: []
  },

  getRankingList (type) {
    answer.getLeaderBoard({reqdata: {
      type
    }},r => {
      this.setData({
        first: r.list[0],
        second: r.list[1],
        third: r.list[2],
        dataList: r.list.filter((item,index) => index>2),
        page: type
      })
    })
  },
  
  togglePage(e) {
    this.getRankingList(e.currentTarget.dataset.index-0)
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getRankingList(this.data.page)
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})